Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.datatype.xsd
Class DatatypeLibraryImpl

    java.lang.Object
      convert.datatype.xsd.DatatypeLibraryImpl

All Implemented Interfaces:
  DatatypeLibrary

    public class DatatypeLibraryImpl

extends java.lang.Object
implements DatatypeLibrary

Constructor Summary
`DatatypeLibraryImpl()`

Method Summary
`Datatype` | `createDatatype(java.lang.String type)` Gets or creates a pre-defined type.
`DatatypeBuilder` | `createDatatypeBuilder(java.lang.String localName)` Creates a new instance of DatatypeBuilder.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatatypeLibraryImpl

    public DatatypeLibraryImpl()

Method Detail

### createDatatypeBuilder

    public DatatypeBuilder createDatatypeBuilder(java.lang.String localName)
                                          throws DatatypeException

  Description copied from interface: `DatatypeLibrary`
  Creates a new instance of DatatypeBuilder. The callee should throw a DatatypeException in case of an error.

  Specified by:
    `createDatatypeBuilder` in interface `DatatypeLibrary`
  Parameters:
    `localName` - The local name of the base type.
  Returns:
    A non-null valid datatype object.
  Throws:
    `DatatypeException`

### createDatatype

    public Datatype createDatatype(java.lang.String type)
                            throws DatatypeException

  Description copied from interface: `DatatypeLibrary`
  Gets or creates a pre-defined type. This is just a short-cut of `createDatatypeBuilder(typeLocalName).createDatatype();` The callee should throw a DatatypeException in case of an error.

  Specified by:
    `createDatatype` in interface `DatatypeLibrary`
  Returns:
    A non-null valid datatype object.
  Throws:
    `DatatypeException`

### main

    public static void main(java.lang.String[] args)
                     throws DatatypeException

  Throws:
    `DatatypeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD